Subject: Re: [Trunk] Xcode 14.1+ (and macOS 13.0+) deprecate sprintf()

From: Jacob Faibussowitsch <[email-masked]>
Date: Fri, 4 Nov 2022 17:07:09 -0400

Sorry for the delay. I just tested most recent master (most recent commit summary below):

commit 44ad42240069d8d82772b0c0ef5ec93c2566ca7e (HEAD -> master, origin/master, origin/HEAD)
Author: Stefan Kangas <[email-masked]>
Date:   Fri Nov 4 20:26:01 2022 +0100

And I don’t see any warnings anymore -- I am assuming your commit made it in. Thanks for the fix.

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Nov 3, 2022, at 14:30, Paul Eggert <[email-masked]> wrote:
> 
> It appears that Apple has gone on the warpath against sprintf even if you compile with plain 'gcc' with no options, which means --disable-gcc-warnings does not suppress the false alarms.
> 
> I installed the attached further patch to attempt to pacify Apple's compiler; please give it a try.
> 
> Perhaps Apple's compiler will start complaining about strcpy next....
> <0001-Improve-suppression-of-bogus-macOS-warnings.patch>